Package org.gradle.external.javadoc

# Interface MinimalJavadocOptions

All Known Implementing Classes:
  `CoreJavadocOptions`, `StandardJavadocDocletOptions`

public interface MinimalJavadocOptions
Provides the core Javadoc options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MinimalJavadocOptions`
  `bootClasspath(File... bootClasspath)`
  `MinimalJavadocOptions`
  `breakIterator()`
  `MinimalJavadocOptions`
  `breakIterator(boolean breakIterator)`
  `MinimalJavadocOptions`
  `classpath(File... classpath)`
  `MinimalJavadocOptions`
  `classpath(List<File> classpath)`
  `void`
  `contributeCommandLineOptions(ExecSpec execHandleBuilder)`
  `MinimalJavadocOptions`
  `destinationDirectory(File directory)`
  `MinimalJavadocOptions`
  `doclet(String docletClass)`
  `MinimalJavadocOptions`
  `docletpath(File... docletpath)`
  `MinimalJavadocOptions`
  `encoding(String encoding)`
  `MinimalJavadocOptions`
  `extDirs(File... extDirs)`
  `List<File>`
  `getBootClasspath()`
  `List<File>`
  `getClasspath()`
  `File`
  `getDestinationDirectory()`
  `@Nullable String`
  `getDoclet()`
  `List<File>`
  `getDocletpath()`
  `@Nullable String`
  `getEncoding()`
  `@Nullable List<File>`
  `getExtDirs()`
  `@Nullable String`
  `getHeader()`
  `@Nullable List<String>`
  `getJFlags()`
  `@Nullable String`
  `getLocale()`
  `@Nullable JavadocMemberLevel`
  `getMemberLevel()`
  `List<File>`
  `getModulePath()`
  The --module-path.
  `@Nullable List<File>`
  `getOptionFiles()`
  `JavadocOutputLevel`
  `getOutputLevel()`
  `@Nullable String`
  `getOverview()`
  `@Nullable String`
  `getSource()`
  `@Nullable List<String>`
  `getSourceNames()`
  `@Nullable String`
  `getWindowTitle()`
  `StandardJavadocDocletOptions`
  `header(String header)`
  `boolean`
  `isBreakIterator()`
  `boolean`
  `isVerbose()`
  `MinimalJavadocOptions`
  `jFlags(String... jFlags)`
  `MinimalJavadocOptions`
  `locale(String locale)`
  `MinimalJavadocOptions`
  `modulePath(List<File> classpath)`
  The --module-path.
  `MinimalJavadocOptions`
  `optionFiles(File... argumentFiles)`
  `MinimalJavadocOptions`
  `overview(String overview)`
  `MinimalJavadocOptions`
  `quiet()`
  `void`
  `setBootClasspath(List<File> bootClasspath)`
  `void`
  `setBreakIterator(boolean breakIterator)`
  `void`
  `setClasspath(List<File> classpath)`
  `void`
  `setDestinationDirectory(@Nullable File directory)`
  `void`
  `setDoclet(@Nullable String docletClass)`
  `void`
  `setDocletpath(List<File> docletpath)`
  `void`
  `setEncoding(@Nullable String encoding)`
  `void`
  `setExtDirs(@Nullable List<File> extDirs)`
  `void`
  `setHeader(@Nullable String header)`
  `void`
  `setJFlags(@Nullable List<String> jFlags)`
  `void`
  `setLocale(@Nullable String locale)`
  `void`
  `setMemberLevel(@Nullable JavadocMemberLevel memberLevel)`
  `void`
  `setModulePath(List<File> modulePath)`
  The --module-path.
  `void`
  `setOptionFiles(@Nullable List<File> optionFiles)`
  `void`
  `setOutputLevel(JavadocOutputLevel outputLevel)`
  `void`
  `setOverview(@Nullable String overview)`
  `void`
  `setSource(@Nullable String source)`
  `void`
  `setSourceNames(@Nullable List<String> sourceNames)`
  `void`
  `setWindowTitle(@Nullable String windowTitle)`
  `MinimalJavadocOptions`
  `showAll()`
  `MinimalJavadocOptions`
  `showFromPackage()`
  `MinimalJavadocOptions`
  `showFromPrivate()`
  `MinimalJavadocOptions`
  `showFromProtected()`
  `MinimalJavadocOptions`
  `showFromPublic()`
  `MinimalJavadocOptions`
  `source(String source)`
  `MinimalJavadocOptions`
  `sourceNames(String... sourceNames)`
  `MinimalJavadocOptions`
  `verbose()`
  `StandardJavadocDocletOptions`
  `windowTitle(String windowTitle)`
  `void`
  `write(File outputFile)`

- ## Method Details

  - ### getOverview

    @Optional @Input @Nullable String getOverview()

  - ### setOverview

    void setOverview(@Nullable String overview)

  - ### overview

    MinimalJavadocOptions overview(String overview)

  - ### getMemberLevel

    @Optional @Input @Nullable JavadocMemberLevel getMemberLevel()

  - ### setMemberLevel

    void setMemberLevel(@Nullable JavadocMemberLevel memberLevel)

  - ### showFromPublic

    MinimalJavadocOptions showFromPublic()

  - ### showFromProtected

    MinimalJavadocOptions showFromProtected()

  - ### showFromPackage

    MinimalJavadocOptions showFromPackage()

  - ### showFromPrivate

    MinimalJavadocOptions showFromPrivate()

  - ### showAll

    MinimalJavadocOptions showAll()

  - ### getDoclet

    @Optional @Input @Nullable String getDoclet()

  - ### setDoclet

    void setDoclet(@Nullable String docletClass)

  - ### doclet

    MinimalJavadocOptions doclet(String docletClass)

  - ### getDocletpath

    @Classpath List<File> getDocletpath()

  - ### setDocletpath

    void setDocletpath(List<File> docletpath)

  - ### docletpath

    MinimalJavadocOptions docletpath(File... docletpath)

  - ### getSource

    @Optional @Input @Nullable String getSource()

  - ### setSource

    void setSource(@Nullable String source)

  - ### source

    MinimalJavadocOptions source(String source)

  - ### getClasspath

    @Internal List<File> getClasspath()

  - ### setClasspath

    void setClasspath(List<File> classpath)

  - ### getModulePath

    @Internal List<File> getModulePath()
    The --module-path.
    Since:
      6.4

  - ### setModulePath

    void setModulePath(List<File> modulePath)
    The --module-path.
    Since:
      6.4

  - ### modulePath

    MinimalJavadocOptions modulePath(List<File> classpath)
    The --module-path.
    Since:
      6.4

  - ### classpath

    MinimalJavadocOptions classpath(List<File> classpath)

  - ### classpath

    MinimalJavadocOptions classpath(File... classpath)

  - ### getBootClasspath

    @Classpath List<File> getBootClasspath()

  - ### setBootClasspath

    void setBootClasspath(List<File> bootClasspath)

  - ### bootClasspath

    MinimalJavadocOptions bootClasspath(File... bootClasspath)

  - ### getExtDirs

    @Optional @IgnoreEmptyDirectories @PathSensitive(RELATIVE) @InputFiles @Nullable List<File> getExtDirs()

  - ### setExtDirs

    void setExtDirs(@Nullable List<File> extDirs)

  - ### extDirs

    MinimalJavadocOptions extDirs(File... extDirs)

  - ### getOutputLevel

    @Console JavadocOutputLevel getOutputLevel()

  - ### setOutputLevel

    void setOutputLevel(JavadocOutputLevel outputLevel)

  - ### verbose

    MinimalJavadocOptions verbose()

  - ### isVerbose

    @Internal boolean isVerbose()

  - ### quiet

    MinimalJavadocOptions quiet()

  - ### isBreakIterator

    @Input boolean isBreakIterator()

  - ### setBreakIterator

    void setBreakIterator(boolean breakIterator)

  - ### breakIterator

    MinimalJavadocOptions breakIterator(boolean breakIterator)

  - ### breakIterator

    MinimalJavadocOptions breakIterator()

  - ### getLocale

    @Optional @Input @Nullable String getLocale()

  - ### setLocale

    void setLocale(@Nullable String locale)

  - ### locale

    MinimalJavadocOptions locale(String locale)

  - ### getEncoding

    @Optional @Input @Nullable String getEncoding()

  - ### setEncoding

    void setEncoding(@Nullable String encoding)

  - ### encoding

    MinimalJavadocOptions encoding(String encoding)

  - ### getJFlags

    @Optional @Input @Nullable List<String> getJFlags()

  - ### setJFlags

    void setJFlags(@Nullable List<String> jFlags)

  - ### jFlags

    MinimalJavadocOptions jFlags(String... jFlags)

  - ### getOptionFiles

    @Optional @PathSensitive(NONE) @InputFiles @Nullable List<File> getOptionFiles()

  - ### setOptionFiles

    void setOptionFiles(@Nullable List<File> optionFiles)

  - ### optionFiles

    MinimalJavadocOptions optionFiles(File... argumentFiles)

  - ### getDestinationDirectory

    @Internal File getDestinationDirectory()

  - ### setDestinationDirectory

    void setDestinationDirectory(@Nullable File directory)

  - ### destinationDirectory

    MinimalJavadocOptions destinationDirectory(File directory)

  - ### getWindowTitle

    @Optional @Input @Nullable String getWindowTitle()

  - ### setWindowTitle

    void setWindowTitle(@Nullable String windowTitle)

  - ### windowTitle

    StandardJavadocDocletOptions windowTitle(String windowTitle)

  - ### getHeader

    @Optional @Input @Nullable String getHeader()

  - ### setHeader

    void setHeader(@Nullable String header)

  - ### header

    StandardJavadocDocletOptions header(String header)

  - ### write

    void write(File outputFile) throws IOException
    Throws:
      `IOException`

  - ### getSourceNames

    @Internal @Nullable List<String> getSourceNames()

  - ### setSourceNames

    void setSourceNames(@Nullable List<String> sourceNames)

  - ### sourceNames

    MinimalJavadocOptions sourceNames(String... sourceNames)

  - ### contributeCommandLineOptions

    void contributeCommandLineOptions(ExecSpec execHandleBuilder)